%define upstream_name	 Net-NBName
%define upstream_version 0.26

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	NetBIOS Name Service Requests
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:		Net-NBName-0.25-shellbang.diff


BuildArch:	noarch


%description
Net::NBName is a class that allows you to perform simple NetBIOS Name
Service Requests in your Perl code. It performs these NetBIOS operations over
TCP/IP using Perl's built-in socket support.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
perl -pi -e 's/\r\n$/\n/' bin/* README Changes
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor 
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes README
%{_bindir}/namequery.pl
%{_bindir}/nodescan.pl
%{_bindir}/nodestat.pl
%{perl_vendorlib}/Net
%{_mandir}/man3/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.260.0-10.mga9
+ Revision: 1804913
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.260.0-9.mga8
+ Revision: 1495960
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.260.0-8.mga7
+ Revision: 1269926
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.260.0-7.mga6
+ Revision: 1031189
- Rebuild for perl 5.22.2

* Fri Jan 29 2016 umeabot <umeabot> 0.260.0-6.mga6
+ Revision: 928823
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.260.0-5.mga5
+ Revision: 745085
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.260.0-4.mga5
+ Revision: 685689
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.260.0-3.mga4
+ Revision: 513449
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.260.0-2.mga3
+ Revision: 370749
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.260.0-1.mga1
+ Revision: 30932
- mageia rebuild
- imported package perl-Net-NBName


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.260.0-1mdv2010.0
+ Revision: 404099
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.26-3mdv2009.0
+ Revision: 241786
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Tue Jun 27 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.26-1mdv2007.0
- New version 0.26
- spec cleanup
- fix directory ownership
- use perl instead of dos2unix to fix EOLs

* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.25-2mdk
- Fix SPEC according to Perl Policy
	- Source URL
	- URL

* Mon Jan 30 2006 Oden Eriksson <oeriksson@mandriva.com> 0.25-1mdk
- initial Mandriva package

